<?php
require "mdp.php";
if (isset($_GET['pw']) AND $_GET['pw'] == $mdp AND isset($_GET['site'])) {

  $site = $_GET['site'];

  require "bibli/parsedown/Parsedown.php";
  require "bibli/parsedown-extra/ParsedownExtra.php";
  require "bibli/parsedown-extra-plugin/ParsedownExtraPlugin.php";
  $nomsPages = array_diff(scandir($site . "/md"), array('..', '.'));

  require $site . "/pages.inc.php";

  foreach ($nomsPages as $pageId) {
    $pageId = basename($pageId, ".md");

    if (!file_exists("temp/" . $site))
      mkdir("temp/" . $site, 555);

    // pages/exemple.md > temp/exemple.temp
    // Exécute le PHP vers du HTML
    ob_start();
    require $site . "/md/" . $pageId . ".md";
    file_put_contents("temp/" . $site . "/" . $pageId . ".temp", ob_get_contents());
    ob_end_clean();

    // temp/exemple.temp > temp2/exemple.temp2
    // Compile le Markdown vers du HTML
    $contenuPage = file_get_contents("temp/" . $site . "/" . $pageId . ".temp");

    $Parsedown = new ParsedownExtraPlugin;
    $Parsedown = $Parsedown->setUrlsLinked(false);
    $Parsedown = $Parsedown->setMarkupEscaped(false);
    $Parsedown = $Parsedown->setBreaksEnabled(true);
    $contenuPage = $Parsedown->text($contenuPage);

    file_put_contents("temp/" . $site . "/" . $pageId . ".temp2", $contenuPage);

    // temp2/exemple.temp2 > exemple.html
    // Ajoute header et footer au HTML
    ob_start();

    $pageMetas = getPageMetas($pageId);

    require "inc/debut.php";
    if ($pageMetas['type'] == "article") {
      echo "<h1>" . $pageMetas['h1'] . "</h1>";
      echo "<article>";
    } else if ($pageMetas['type'] == "centré") {
      echo "<div class='centre'>";
    }
    require "temp/" . $site . "/" . $pageId . ".temp2";
    if ($pageMetas['type'] == "article") {
      echo "</article>";
    } else if ($pageMetas['type'] == "centré") {
      echo "</div>";
    }
    require "inc/footer.php";
    file_put_contents($site . "/" . $pageId . ".html", ob_get_contents());
    ob_end_clean();

  }

  // exemple.html > exemple.html.gz
  // Compresse les fichiers textes statiques HTML & CSS
  exec('/usr/local/bin/static-compress -c zopfli "' . $site . '/*.html" "' . $site . '/css/*.css"');

} else {
  echo "Non authentifié·e, ou pas de site définit";
}
