<?php

  $adresse = basename($_SERVER['PHP_SELF'], '.php');

  require_once "url.php";

?>

<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8">
    <title><?php echo $pageMetas['titre'] . $suffix; ?></title>
    <meta name="distribution" content="global">
    <meta name="robots" content="index, follow">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo $pageMetas['description']; ?>">
    <?php
      require_once 'bibli/less.php/lib/Less/Autoloader.php';
      Less_Autoloader::register();

      $options = array('cache_dir' => $site . '/css', 'compress' => true);
      $lessFiles = array('style.less' => '');
      $cssFileName = Less_Cache::Get($lessFiles, $options);
    ?>
    <link type="text/css" rel="stylesheet" href="css/<?= $cssFileName ?>">
  <?php if ($site == "antopie") { ?>
    <link rel="icon" type="image/webp" href="img/icons/16.webp" sizes="16x16">
    <link rel="icon" type="image/webp" href="img/icons/32.webp" sizes="32x32">
    <link rel="icon" type="image/webp" href="img/icons/64.webp" sizes="64x64">
    <link rel="icon" type="image/webp" href="img/icons/128.webp" sizes="128x128">
    <link rel="icon" type="image/webp" href="img/icons/256.webp" sizes="256x256">
    <link rel="icon" type="image/webp" href="img/icons/512.webp" sizes="512x512">
    <link rel="stylesheet" type="text/css" href="gomez/gomez.min.css">
    <link rel="stylesheet" type="text/css" href="fontello/css/fontello.min.css">
    <script src="konami.js" async defer></script>
  <?php } ?>
  </head>

  <body lang="fr">
    <header>
<?php

if ($site == "docs") {

?>
      <a id="lienHeader" href=".">
        <div class="logo"><?= $site ?></div>
      </a>

<?php

} else if ($site == "antopie") {

?>
      <a id="lienHeader" href=".">
        <div class="logo">
          <img src="img/antopiev5-500.webp" alt="Antopie" />
        </div>
      </a>

<?php

} else {
  exit("Site indéfinit");
}

?>

    </header>

    <main>
